JsonRenderer (Grails 3.2.8)
Date: 2017-03-23

Package: grails.rest.render.json

## [Groovy] Class JsonRenderer<T>

- grails.rest.render.json.JsonRenderer

- A JSON renderer that allows including / excluding properties

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.lang.String>` | `excludes` The properties to be excluded
    `GrailsApplication` | `grailsApplication`
    `java.util.List<java.lang.String>` | `includes` The properties to be included
    `ProxyHandler` | `proxyHandler`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonRenderer (java.lang.Class<T> targetType)`
    `JsonRenderer (java.lang.Class<T> targetType, MimeType... mimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `registerCustomConverter()`
    `` | `protected void` | `registerCustomMarshaller(ObjectMarshaller marshaller)`
    `` | `protected void` | `renderJson(JSON converter, RenderContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultJsonRenderer` | `render, renderJson, renderJson`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.List<java.lang.String> excludes

      The properties to be excluded

    - #### @org.springframework.beans.factory.annotation.Autowired GrailsApplication grailsApplication

    - #### java.util.List<java.lang.String> includes

      The properties to be included

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) ProxyHandler proxyHandler

  - ### Constructor Detail

    - #### JsonRenderer(java.lang.Class<T> targetType)

    - #### JsonRenderer(java.lang.Class<T> targetType, MimeType... mimeTypes)

  - ### Method Detail

    - #### @javax.annotation.PostConstruct void registerCustomConverter()

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected void registerCustomMarshaller(ObjectMarshaller marshaller)

    - #### @java.lang.Override protected void renderJson(JSON converter, RenderContext context)